// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/managed_resources/rpc/rpc.proto

package rpc

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	managed_resources "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/managed_resources"
	_ "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/constraint"
	entity "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/entity"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Object struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Group         string                 `protobuf:"bytes,1,opt,name=group" json:"group,omitempty"`
	Version       string                 `protobuf:"bytes,2,opt,name=version,json=apiVersion" json:"version,omitempty"`
	Kind          string                 `protobuf:"bytes,3,opt,name=kind" json:"kind,omitempty"`
	Namespace     string                 `protobuf:"bytes,4,opt,name=namespace" json:"namespace,omitempty"`
	Name          string                 `protobuf:"bytes,5,opt,name=name" json:"name,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Object) Reset() {
	*x = Object{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Object) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Object) ProtoMessage() {}

func (x *Object) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Object.ProtoReflect.Descriptor instead.
func (*Object) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{0}
}

func (x *Object) GetGroup() string {
	if x != nil {
		return x.Group
	}
	return ""
}

func (x *Object) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *Object) GetKind() string {
	if x != nil {
		return x.Kind
	}
	return ""
}

func (x *Object) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *Object) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type ObjectError struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Object        *Object                `protobuf:"bytes,1,opt,name=object" json:"object,omitempty"`
	Error         string                 `protobuf:"bytes,2,opt,name=error" json:"error,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ObjectError) Reset() {
	*x = ObjectError{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ObjectError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ObjectError) ProtoMessage() {}

func (x *ObjectError) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ObjectError.ProtoReflect.Descriptor instead.
func (*ObjectError) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{1}
}

func (x *ObjectError) GetObject() *Object {
	if x != nil {
		return x.Object
	}
	return nil
}

func (x *ObjectError) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

type EnvironmentTemplateInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentName     string                 `protobuf:"bytes,1,opt,name=agent_name" json:"agent_name,omitempty"`
	TemplateName  string                 `protobuf:"bytes,2,opt,name=template_name" json:"template_name,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *EnvironmentTemplateInfo) Reset() {
	*x = EnvironmentTemplateInfo{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EnvironmentTemplateInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EnvironmentTemplateInfo) ProtoMessage() {}

func (x *EnvironmentTemplateInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EnvironmentTemplateInfo.ProtoReflect.Descriptor instead.
func (*EnvironmentTemplateInfo) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{2}
}

func (x *EnvironmentTemplateInfo) GetAgentName() string {
	if x != nil {
		return x.AgentName
	}
	return ""
}

func (x *EnvironmentTemplateInfo) GetTemplateName() string {
	if x != nil {
		return x.TemplateName
	}
	return ""
}

type GetDefaultEnvironmentTemplateRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetDefaultEnvironmentTemplateRequest) Reset() {
	*x = GetDefaultEnvironmentTemplateRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetDefaultEnvironmentTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDefaultEnvironmentTemplateRequest) ProtoMessage() {}

func (x *GetDefaultEnvironmentTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDefaultEnvironmentTemplateRequest.ProtoReflect.Descriptor instead.
func (*GetDefaultEnvironmentTemplateRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{3}
}

type GetDefaultEnvironmentTemplateResponse struct {
	state         protoimpl.MessageState                 `protogen:"open.v1"`
	Template      *managed_resources.EnvironmentTemplate `protobuf:"bytes,1,opt,name=template" json:"template,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetDefaultEnvironmentTemplateResponse) Reset() {
	*x = GetDefaultEnvironmentTemplateResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetDefaultEnvironmentTemplateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDefaultEnvironmentTemplateResponse) ProtoMessage() {}

func (x *GetDefaultEnvironmentTemplateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDefaultEnvironmentTemplateResponse.ProtoReflect.Descriptor instead.
func (*GetDefaultEnvironmentTemplateResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{4}
}

func (x *GetDefaultEnvironmentTemplateResponse) GetTemplate() *managed_resources.EnvironmentTemplate {
	if x != nil {
		return x.Template
	}
	return nil
}

type GetEnvironmentTemplateRequest struct {
	state            protoimpl.MessageState   `protogen:"open.v1"`
	TemplateName     string                   `protobuf:"bytes,1,opt,name=template_name,json=templateName" json:"template_name,omitempty"`
	AgentName        string                   `protobuf:"bytes,2,opt,name=agent_name,json=agentName" json:"agent_name,omitempty"`
	GitalyInfo       *entity.GitalyInfo       `protobuf:"bytes,3,opt,name=gitaly_info,json=gitalyInfo" json:"gitaly_info,omitempty"`
	GitalyRepository *entity.GitalyRepository `protobuf:"bytes,4,opt,name=gitaly_repository,json=gitalyRepository" json:"gitaly_repository,omitempty"`
	DefaultBranch    string                   `protobuf:"bytes,5,opt,name=default_branch,json=defaultBranch" json:"default_branch,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *GetEnvironmentTemplateRequest) Reset() {
	*x = GetEnvironmentTemplateRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetEnvironmentTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetEnvironmentTemplateRequest) ProtoMessage() {}

func (x *GetEnvironmentTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetEnvironmentTemplateRequest.ProtoReflect.Descriptor instead.
func (*GetEnvironmentTemplateRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{5}
}

func (x *GetEnvironmentTemplateRequest) GetTemplateName() string {
	if x != nil {
		return x.TemplateName
	}
	return ""
}

func (x *GetEnvironmentTemplateRequest) GetAgentName() string {
	if x != nil {
		return x.AgentName
	}
	return ""
}

func (x *GetEnvironmentTemplateRequest) GetGitalyInfo() *entity.GitalyInfo {
	if x != nil {
		return x.GitalyInfo
	}
	return nil
}

func (x *GetEnvironmentTemplateRequest) GetGitalyRepository() *entity.GitalyRepository {
	if x != nil {
		return x.GitalyRepository
	}
	return nil
}

func (x *GetEnvironmentTemplateRequest) GetDefaultBranch() string {
	if x != nil {
		return x.DefaultBranch
	}
	return ""
}

type GetEnvironmentTemplateResponse struct {
	state         protoimpl.MessageState                 `protogen:"open.v1"`
	Template      *managed_resources.EnvironmentTemplate `protobuf:"bytes,1,opt,name=template" json:"template,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetEnvironmentTemplateResponse) Reset() {
	*x = GetEnvironmentTemplateResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetEnvironmentTemplateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetEnvironmentTemplateResponse) ProtoMessage() {}

func (x *GetEnvironmentTemplateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetEnvironmentTemplateResponse.ProtoReflect.Descriptor instead.
func (*GetEnvironmentTemplateResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{6}
}

func (x *GetEnvironmentTemplateResponse) GetTemplate() *managed_resources.EnvironmentTemplate {
	if x != nil {
		return x.Template
	}
	return nil
}

type RenderEnvironmentTemplateRequest struct {
	state         protoimpl.MessageState                 `protogen:"open.v1"`
	Template      *managed_resources.EnvironmentTemplate `protobuf:"bytes,1,opt,name=template" json:"template,omitempty"`
	Info          *managed_resources.TemplatingInfo      `protobuf:"bytes,2,opt,name=info" json:"info,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RenderEnvironmentTemplateRequest) Reset() {
	*x = RenderEnvironmentTemplateRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RenderEnvironmentTemplateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RenderEnvironmentTemplateRequest) ProtoMessage() {}

func (x *RenderEnvironmentTemplateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RenderEnvironmentTemplateRequest.ProtoReflect.Descriptor instead.
func (*RenderEnvironmentTemplateRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{7}
}

func (x *RenderEnvironmentTemplateRequest) GetTemplate() *managed_resources.EnvironmentTemplate {
	if x != nil {
		return x.Template
	}
	return nil
}

func (x *RenderEnvironmentTemplateRequest) GetInfo() *managed_resources.TemplatingInfo {
	if x != nil {
		return x.Info
	}
	return nil
}

type RenderEnvironmentTemplateResponse struct {
	state         protoimpl.MessageState                         `protogen:"open.v1"`
	Template      *managed_resources.RenderedEnvironmentTemplate `protobuf:"bytes,1,opt,name=template" json:"template,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RenderEnvironmentTemplateResponse) Reset() {
	*x = RenderEnvironmentTemplateResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RenderEnvironmentTemplateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RenderEnvironmentTemplateResponse) ProtoMessage() {}

func (x *RenderEnvironmentTemplateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RenderEnvironmentTemplateResponse.ProtoReflect.Descriptor instead.
func (*RenderEnvironmentTemplateResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{8}
}

func (x *RenderEnvironmentTemplateResponse) GetTemplate() *managed_resources.RenderedEnvironmentTemplate {
	if x != nil {
		return x.Template
	}
	return nil
}

type ListEnvironmentTemplatesRequest struct {
	state            protoimpl.MessageState   `protogen:"open.v1"`
	AgentName        *string                  `protobuf:"bytes,1,opt,name=agent_name,json=agentName" json:"agent_name,omitempty"`
	GitalyInfo       *entity.GitalyInfo       `protobuf:"bytes,2,opt,name=gitaly_info,json=gitalyInfo" json:"gitaly_info,omitempty"`
	GitalyRepository *entity.GitalyRepository `protobuf:"bytes,3,opt,name=gitaly_repository,json=gitalyRepository" json:"gitaly_repository,omitempty"`
	DefaultBranch    string                   `protobuf:"bytes,4,opt,name=default_branch,json=defaultBranch" json:"default_branch,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *ListEnvironmentTemplatesRequest) Reset() {
	*x = ListEnvironmentTemplatesRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ListEnvironmentTemplatesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListEnvironmentTemplatesRequest) ProtoMessage() {}

func (x *ListEnvironmentTemplatesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListEnvironmentTemplatesRequest.ProtoReflect.Descriptor instead.
func (*ListEnvironmentTemplatesRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{9}
}

func (x *ListEnvironmentTemplatesRequest) GetAgentName() string {
	if x != nil && x.AgentName != nil {
		return *x.AgentName
	}
	return ""
}

func (x *ListEnvironmentTemplatesRequest) GetGitalyInfo() *entity.GitalyInfo {
	if x != nil {
		return x.GitalyInfo
	}
	return nil
}

func (x *ListEnvironmentTemplatesRequest) GetGitalyRepository() *entity.GitalyRepository {
	if x != nil {
		return x.GitalyRepository
	}
	return nil
}

func (x *ListEnvironmentTemplatesRequest) GetDefaultBranch() string {
	if x != nil {
		return x.DefaultBranch
	}
	return ""
}

type ListEnvironmentTemplatesResponse struct {
	state         protoimpl.MessageState     `protogen:"open.v1"`
	Infos         []*EnvironmentTemplateInfo `protobuf:"bytes,1,rep,name=infos" json:"infos,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ListEnvironmentTemplatesResponse) Reset() {
	*x = ListEnvironmentTemplatesResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ListEnvironmentTemplatesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListEnvironmentTemplatesResponse) ProtoMessage() {}

func (x *ListEnvironmentTemplatesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListEnvironmentTemplatesResponse.ProtoReflect.Descriptor instead.
func (*ListEnvironmentTemplatesResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{10}
}

func (x *ListEnvironmentTemplatesResponse) GetInfos() []*EnvironmentTemplateInfo {
	if x != nil {
		return x.Infos
	}
	return nil
}

type EnsureEnvironmentRequest struct {
	state         protoimpl.MessageState                         `protogen:"open.v1"`
	Template      *managed_resources.RenderedEnvironmentTemplate `protobuf:"bytes,1,opt,name=template" json:"template,omitempty"`
	Info          *managed_resources.TemplatingInfo              `protobuf:"bytes,2,opt,name=info" json:"info,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *EnsureEnvironmentRequest) Reset() {
	*x = EnsureEnvironmentRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EnsureEnvironmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EnsureEnvironmentRequest) ProtoMessage() {}

func (x *EnsureEnvironmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EnsureEnvironmentRequest.ProtoReflect.Descriptor instead.
func (*EnsureEnvironmentRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{11}
}

func (x *EnsureEnvironmentRequest) GetTemplate() *managed_resources.RenderedEnvironmentTemplate {
	if x != nil {
		return x.Template
	}
	return nil
}

func (x *EnsureEnvironmentRequest) GetInfo() *managed_resources.TemplatingInfo {
	if x != nil {
		return x.Info
	}
	return nil
}

type EnsureEnvironmentResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Objects       []*Object              `protobuf:"bytes,1,rep,name=objects" json:"objects,omitempty"`
	Errors        []*ObjectError         `protobuf:"bytes,2,rep,name=errors" json:"errors,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *EnsureEnvironmentResponse) Reset() {
	*x = EnsureEnvironmentResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *EnsureEnvironmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EnsureEnvironmentResponse) ProtoMessage() {}

func (x *EnsureEnvironmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EnsureEnvironmentResponse.ProtoReflect.Descriptor instead.
func (*EnsureEnvironmentResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{12}
}

func (x *EnsureEnvironmentResponse) GetObjects() []*Object {
	if x != nil {
		return x.Objects
	}
	return nil
}

func (x *EnsureEnvironmentResponse) GetErrors() []*ObjectError {
	if x != nil {
		return x.Errors
	}
	return nil
}

type DeleteEnvironmentRequest struct {
	state           protoimpl.MessageState `protogen:"open.v1"`
	AgentId         int64                  `protobuf:"varint,1,opt,name=agent_id,json=agentId" json:"agent_id,omitempty"`
	ProjectId       int64                  `protobuf:"varint,2,opt,name=project_id,json=projectId" json:"project_id,omitempty"`
	EnvironmentSlug string                 `protobuf:"bytes,3,opt,name=environment_slug,json=environmentSlug" json:"environment_slug,omitempty"`
	Objects         []*Object              `protobuf:"bytes,4,rep,name=objects" json:"objects,omitempty"`
	unknownFields   protoimpl.UnknownFields
	sizeCache       protoimpl.SizeCache
}

func (x *DeleteEnvironmentRequest) Reset() {
	*x = DeleteEnvironmentRequest{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeleteEnvironmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteEnvironmentRequest) ProtoMessage() {}

func (x *DeleteEnvironmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteEnvironmentRequest.ProtoReflect.Descriptor instead.
func (*DeleteEnvironmentRequest) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{13}
}

func (x *DeleteEnvironmentRequest) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *DeleteEnvironmentRequest) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

func (x *DeleteEnvironmentRequest) GetEnvironmentSlug() string {
	if x != nil {
		return x.EnvironmentSlug
	}
	return ""
}

func (x *DeleteEnvironmentRequest) GetObjects() []*Object {
	if x != nil {
		return x.Objects
	}
	return nil
}

type DeleteEnvironmentResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	InProgress    []*Object              `protobuf:"bytes,1,rep,name=in_progress" json:"in_progress,omitempty"`
	Errors        []*ObjectError         `protobuf:"bytes,2,rep,name=errors" json:"errors,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DeleteEnvironmentResponse) Reset() {
	*x = DeleteEnvironmentResponse{}
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[14]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DeleteEnvironmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteEnvironmentResponse) ProtoMessage() {}

func (x *DeleteEnvironmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_managed_resources_rpc_rpc_proto_msgTypes[14]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteEnvironmentResponse.ProtoReflect.Descriptor instead.
func (*DeleteEnvironmentResponse) Descriptor() ([]byte, []int) {
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP(), []int{14}
}

func (x *DeleteEnvironmentResponse) GetInProgress() []*Object {
	if x != nil {
		return x.InProgress
	}
	return nil
}

func (x *DeleteEnvironmentResponse) GetErrors() []*ObjectError {
	if x != nil {
		return x.Errors
	}
	return nil
}

var File_internal_module_managed_resources_rpc_rpc_proto protoreflect.FileDescriptor

var file_internal_module_managed_resources_rpc_rpc_proto_rawDesc = string([]byte{
	0x0a, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x2f, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x70, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x22, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x73, 0x2e, 0x72, 0x70, 0x63, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x39, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64,
	0x75, 0x6c, 0x65, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70,
	0x6b, 0x67, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x70, 0x6b, 0x67, 0x2f, 0x63, 0x6f, 0x6e, 0x73,
	0x74, 0x72, 0x61, 0x69, 0x6e, 0x74, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x61, 0x69, 0x6e,
	0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x9c, 0x01, 0x0a, 0x06, 0x4f, 0x62, 0x6a, 0x65,
	0x63, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x24, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02,
	0x20, 0x01, 0x52, 0x0a, 0x61, 0x70, 0x69, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x1b,
	0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48,
	0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x1b, 0x0a, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x78, 0x0a, 0x0b, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74,
	0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x4a, 0x0a, 0x06, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63,
	0x74, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x06, 0x6f, 0x62, 0x6a, 0x65, 0x63,
	0x74, 0x12, 0x1d, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72,
	0x22, 0x73, 0x0a, 0x17, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x29, 0x0a, 0x0a, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42,
	0x09, 0xba, 0x48, 0x06, 0x72, 0x04, 0xd0, 0x9e, 0x5e, 0x01, 0x52, 0x0a, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2d, 0x0a, 0x0d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba,
	0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x0d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x26, 0x0a, 0x24, 0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61,
	0x75, 0x6c, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x80, 0x01,
	0x0a, 0x25, 0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x6e, 0x76, 0x69,
	0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64,
	0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x45, 0x6e, 0x76, 0x69, 0x72,
	0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x06,
	0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x22, 0xcd, 0x02, 0x0a, 0x1d, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d,
	0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2c, 0x0a, 0x0d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02,
	0x20, 0x01, 0x52, 0x0c, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x28, 0x0a, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x42, 0x09, 0xba, 0x48, 0x06, 0x72, 0x04, 0xd0, 0x9e, 0x5e, 0x01, 0x52,
	0x09, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x48, 0x0a, 0x0b, 0x67, 0x69,
	0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x49, 0x6e, 0x66, 0x6f,
	0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0a, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x5a, 0x0a, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x72,
	0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x52, 0x65, 0x70, 0x6f,
	0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x10,
	0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79,
	0x12, 0x2e, 0x0a, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x62, 0x72, 0x61, 0x6e,
	0x63, 0x68, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20,
	0x01, 0x52, 0x0d, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x42, 0x72, 0x61, 0x6e, 0x63, 0x68,
	0x22, 0x79, 0x0a, 0x1e, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x57, 0x0a, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01,
	0x01, 0x52, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0xc7, 0x01, 0x0a, 0x20,
	0x52, 0x65, 0x6e, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x57, 0x0a, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x2e, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52,
	0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x4a, 0x0a, 0x04, 0x69, 0x6e, 0x66,
	0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x69, 0x6e, 0x67, 0x49, 0x6e, 0x66, 0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52,
	0x04, 0x69, 0x6e, 0x66, 0x6f, 0x22, 0x84, 0x01, 0x0a, 0x21, 0x52, 0x65, 0x6e, 0x64, 0x65, 0x72,
	0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5f, 0x0a, 0x08, 0x74,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3b, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e,
	0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x52,
	0x65, 0x6e, 0x64, 0x65, 0x72, 0x65, 0x64, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8,
	0x01, 0x01, 0x52, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x22, 0xa6, 0x02, 0x0a,
	0x1f, 0x4c, 0x69, 0x73, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x2d, 0x0a, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x42, 0x0e, 0xba, 0x48, 0x06, 0x72, 0x04, 0xd0, 0x9e, 0x5e, 0x01, 0xaa,
	0x01, 0x02, 0x08, 0x01, 0x52, 0x09, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x48, 0x0a, 0x0b, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x49, 0x6e, 0x66, 0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0a, 0x67,
	0x69, 0x74, 0x61, 0x6c, 0x79, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x5a, 0x0a, 0x11, 0x67, 0x69, 0x74,
	0x61, 0x6c, 0x79, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x42, 0x06, 0xba, 0x48, 0x03,
	0xc8, 0x01, 0x01, 0x52, 0x10, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x52, 0x65, 0x70, 0x6f, 0x73,
	0x69, 0x74, 0x6f, 0x72, 0x79, 0x12, 0x2e, 0x0a, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
	0x5f, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba,
	0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x0d, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x42,
	0x72, 0x61, 0x6e, 0x63, 0x68, 0x22, 0x75, 0x0a, 0x20, 0x4c, 0x69, 0x73, 0x74, 0x45, 0x6e, 0x76,
	0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x51, 0x0a, 0x05, 0x69, 0x6e, 0x66,
	0x6f, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x45, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x22, 0xc7, 0x01, 0x0a,
	0x18, 0x45, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x5f, 0x0a, 0x08, 0x74, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x52, 0x65, 0x6e,
	0x64, 0x65, 0x72, 0x65, 0x64, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x08, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x4a, 0x0a, 0x04, 0x69, 0x6e,
	0x66, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f,
	0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x69, 0x6e, 0x67, 0x49, 0x6e, 0x66, 0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x22, 0xaa, 0x01, 0x0a, 0x19, 0x45, 0x6e, 0x73, 0x75, 0x72,
	0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x44, 0x0a, 0x07, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63,
	0x74, 0x52, 0x07, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x12, 0x47, 0x0a, 0x06, 0x65, 0x72,
	0x72, 0x6f, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2f, 0x2e, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65,
	0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e,
	0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x52, 0x06, 0x65, 0x72, 0x72,
	0x6f, 0x72, 0x73, 0x22, 0xe0, 0x01, 0x0a, 0x18, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x45, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x22, 0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x07, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x49, 0x64, 0x12, 0x26, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20,
	0x00, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x10,
	0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x6c, 0x75, 0x67,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52,
	0x0f, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x6c, 0x75, 0x67,
	0x12, 0x44, 0x0a, 0x07, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x52, 0x07, 0x6f,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x22, 0xb2, 0x01, 0x0a, 0x19, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4c, 0x0a, 0x0b, 0x69, 0x6e, 0x5f, 0x70, 0x72, 0x6f, 0x67, 0x72,
	0x65, 0x73, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64,
	0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4f,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x52, 0x0b, 0x69, 0x6e, 0x5f, 0x70, 0x72, 0x6f, 0x67, 0x72, 0x65,
	0x73, 0x73, 0x12, 0x47, 0x0a, 0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x2f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x45, 0x72,
	0x72, 0x6f, 0x72, 0x52, 0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x32, 0xfd, 0x07, 0x0a, 0x0b,
	0x50, 0x72, 0x6f, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x65, 0x72, 0x12, 0xb9, 0x01, 0x0a, 0x1d,
	0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f,
	0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x48, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e,
	0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72,
	0x70, 0x63, 0x2e, 0x47, 0x65, 0x74, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x6e, 0x76,
	0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x49, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x65, 0x74,
	0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x12, 0xaa, 0x01, 0x0a, 0x18, 0x4c, 0x69, 0x73, 0x74,
	0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c,
	0x61, 0x74, 0x65, 0x73, 0x12, 0x43, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x45, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x44, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64,
	0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65,
	0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22,
	0x03, 0x90, 0x02, 0x01, 0x12, 0xa4, 0x01, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x76, 0x69,
	0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12,
	0x41, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d,
	0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
	0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d,
	0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x42, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x47, 0x65, 0x74, 0x45, 0x6e, 0x76, 0x69, 0x72,
	0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x12, 0xad, 0x01, 0x0a, 0x19,
	0x52, 0x65, 0x6e, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12, 0x44, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64,
	0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x52,
	0x65, 0x6e, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x45, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d,
	0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
	0x2e, 0x72, 0x70, 0x63, 0x2e, 0x52, 0x65, 0x6e, 0x64, 0x65, 0x72, 0x45, 0x6e, 0x76, 0x69, 0x72,
	0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x01, 0x12, 0x95, 0x01, 0x0a, 0x11,
	0x45, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x12, 0x3c, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x45, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x45, 0x6e, 0x76,
	0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x3d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d,
	0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
	0x2e, 0x72, 0x70, 0x63, 0x2e, 0x45, 0x6e, 0x73, 0x75, 0x72, 0x65, 0x45, 0x6e, 0x76, 0x69, 0x72,
	0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03,
	0x90, 0x02, 0x02, 0x12, 0x95, 0x01, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x45, 0x6e,
	0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x3c, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64,
	0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x64, 0x5f, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x03, 0x90, 0x02, 0x02, 0x42, 0x67, 0x5a, 0x60, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74,
	0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65,
	0x64, 0x5f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2f, 0x72, 0x70, 0x63, 0x92,
	0x03, 0x02, 0x08, 0x02, 0x62, 0x08, 0x65, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x70, 0xe8,
	0x07,
})

var (
	file_internal_module_managed_resources_rpc_rpc_proto_rawDescOnce sync.Once
	file_internal_module_managed_resources_rpc_rpc_proto_rawDescData []byte
)

func file_internal_module_managed_resources_rpc_rpc_proto_rawDescGZIP() []byte {
	file_internal_module_managed_resources_rpc_rpc_proto_rawDescOnce.Do(func() {
		file_internal_module_managed_resources_rpc_rpc_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_managed_resources_rpc_rpc_proto_rawDesc), len(file_internal_module_managed_resources_rpc_rpc_proto_rawDesc)))
	})
	return file_internal_module_managed_resources_rpc_rpc_proto_rawDescData
}

var file_internal_module_managed_resources_rpc_rpc_proto_msgTypes = make([]protoimpl.MessageInfo, 15)
var file_internal_module_managed_resources_rpc_rpc_proto_goTypes = []any{
	(*Object)(nil),                                        // 0: gitlab.agent.managed_resources.rpc.Object
	(*ObjectError)(nil),                                   // 1: gitlab.agent.managed_resources.rpc.ObjectError
	(*EnvironmentTemplateInfo)(nil),                       // 2: gitlab.agent.managed_resources.rpc.EnvironmentTemplateInfo
	(*GetDefaultEnvironmentTemplateRequest)(nil),          // 3: gitlab.agent.managed_resources.rpc.GetDefaultEnvironmentTemplateRequest
	(*GetDefaultEnvironmentTemplateResponse)(nil),         // 4: gitlab.agent.managed_resources.rpc.GetDefaultEnvironmentTemplateResponse
	(*GetEnvironmentTemplateRequest)(nil),                 // 5: gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateRequest
	(*GetEnvironmentTemplateResponse)(nil),                // 6: gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateResponse
	(*RenderEnvironmentTemplateRequest)(nil),              // 7: gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateRequest
	(*RenderEnvironmentTemplateResponse)(nil),             // 8: gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateResponse
	(*ListEnvironmentTemplatesRequest)(nil),               // 9: gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesRequest
	(*ListEnvironmentTemplatesResponse)(nil),              // 10: gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesResponse
	(*EnsureEnvironmentRequest)(nil),                      // 11: gitlab.agent.managed_resources.rpc.EnsureEnvironmentRequest
	(*EnsureEnvironmentResponse)(nil),                     // 12: gitlab.agent.managed_resources.rpc.EnsureEnvironmentResponse
	(*DeleteEnvironmentRequest)(nil),                      // 13: gitlab.agent.managed_resources.rpc.DeleteEnvironmentRequest
	(*DeleteEnvironmentResponse)(nil),                     // 14: gitlab.agent.managed_resources.rpc.DeleteEnvironmentResponse
	(*managed_resources.EnvironmentTemplate)(nil),         // 15: gitlab.agent.managed_resources.EnvironmentTemplate
	(*entity.GitalyInfo)(nil),                             // 16: gitlab.agent.entity.GitalyInfo
	(*entity.GitalyRepository)(nil),                       // 17: gitlab.agent.entity.GitalyRepository
	(*managed_resources.TemplatingInfo)(nil),              // 18: gitlab.agent.managed_resources.TemplatingInfo
	(*managed_resources.RenderedEnvironmentTemplate)(nil), // 19: gitlab.agent.managed_resources.RenderedEnvironmentTemplate
}
var file_internal_module_managed_resources_rpc_rpc_proto_depIdxs = []int32{
	0,  // 0: gitlab.agent.managed_resources.rpc.ObjectError.object:type_name -> gitlab.agent.managed_resources.rpc.Object
	15, // 1: gitlab.agent.managed_resources.rpc.GetDefaultEnvironmentTemplateResponse.template:type_name -> gitlab.agent.managed_resources.EnvironmentTemplate
	16, // 2: gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateRequest.gitaly_info:type_name -> gitlab.agent.entity.GitalyInfo
	17, // 3: gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateRequest.gitaly_repository:type_name -> gitlab.agent.entity.GitalyRepository
	15, // 4: gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateResponse.template:type_name -> gitlab.agent.managed_resources.EnvironmentTemplate
	15, // 5: gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateRequest.template:type_name -> gitlab.agent.managed_resources.EnvironmentTemplate
	18, // 6: gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateRequest.info:type_name -> gitlab.agent.managed_resources.TemplatingInfo
	19, // 7: gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateResponse.template:type_name -> gitlab.agent.managed_resources.RenderedEnvironmentTemplate
	16, // 8: gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesRequest.gitaly_info:type_name -> gitlab.agent.entity.GitalyInfo
	17, // 9: gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesRequest.gitaly_repository:type_name -> gitlab.agent.entity.GitalyRepository
	2,  // 10: gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesResponse.infos:type_name -> gitlab.agent.managed_resources.rpc.EnvironmentTemplateInfo
	19, // 11: gitlab.agent.managed_resources.rpc.EnsureEnvironmentRequest.template:type_name -> gitlab.agent.managed_resources.RenderedEnvironmentTemplate
	18, // 12: gitlab.agent.managed_resources.rpc.EnsureEnvironmentRequest.info:type_name -> gitlab.agent.managed_resources.TemplatingInfo
	0,  // 13: gitlab.agent.managed_resources.rpc.EnsureEnvironmentResponse.objects:type_name -> gitlab.agent.managed_resources.rpc.Object
	1,  // 14: gitlab.agent.managed_resources.rpc.EnsureEnvironmentResponse.errors:type_name -> gitlab.agent.managed_resources.rpc.ObjectError
	0,  // 15: gitlab.agent.managed_resources.rpc.DeleteEnvironmentRequest.objects:type_name -> gitlab.agent.managed_resources.rpc.Object
	0,  // 16: gitlab.agent.managed_resources.rpc.DeleteEnvironmentResponse.in_progress:type_name -> gitlab.agent.managed_resources.rpc.Object
	1,  // 17: gitlab.agent.managed_resources.rpc.DeleteEnvironmentResponse.errors:type_name -> gitlab.agent.managed_resources.rpc.ObjectError
	3,  // 18: gitlab.agent.managed_resources.rpc.Provisioner.GetDefaultEnvironmentTemplate:input_type -> gitlab.agent.managed_resources.rpc.GetDefaultEnvironmentTemplateRequest
	9,  // 19: gitlab.agent.managed_resources.rpc.Provisioner.ListEnvironmentTemplates:input_type -> gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesRequest
	5,  // 20: gitlab.agent.managed_resources.rpc.Provisioner.GetEnvironmentTemplate:input_type -> gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateRequest
	7,  // 21: gitlab.agent.managed_resources.rpc.Provisioner.RenderEnvironmentTemplate:input_type -> gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateRequest
	11, // 22: gitlab.agent.managed_resources.rpc.Provisioner.EnsureEnvironment:input_type -> gitlab.agent.managed_resources.rpc.EnsureEnvironmentRequest
	13, // 23: gitlab.agent.managed_resources.rpc.Provisioner.DeleteEnvironment:input_type -> gitlab.agent.managed_resources.rpc.DeleteEnvironmentRequest
	4,  // 24: gitlab.agent.managed_resources.rpc.Provisioner.GetDefaultEnvironmentTemplate:output_type -> gitlab.agent.managed_resources.rpc.GetDefaultEnvironmentTemplateResponse
	10, // 25: gitlab.agent.managed_resources.rpc.Provisioner.ListEnvironmentTemplates:output_type -> gitlab.agent.managed_resources.rpc.ListEnvironmentTemplatesResponse
	6,  // 26: gitlab.agent.managed_resources.rpc.Provisioner.GetEnvironmentTemplate:output_type -> gitlab.agent.managed_resources.rpc.GetEnvironmentTemplateResponse
	8,  // 27: gitlab.agent.managed_resources.rpc.Provisioner.RenderEnvironmentTemplate:output_type -> gitlab.agent.managed_resources.rpc.RenderEnvironmentTemplateResponse
	12, // 28: gitlab.agent.managed_resources.rpc.Provisioner.EnsureEnvironment:output_type -> gitlab.agent.managed_resources.rpc.EnsureEnvironmentResponse
	14, // 29: gitlab.agent.managed_resources.rpc.Provisioner.DeleteEnvironment:output_type -> gitlab.agent.managed_resources.rpc.DeleteEnvironmentResponse
	24, // [24:30] is the sub-list for method output_type
	18, // [18:24] is the sub-list for method input_type
	18, // [18:18] is the sub-list for extension type_name
	18, // [18:18] is the sub-list for extension extendee
	0,  // [0:18] is the sub-list for field type_name
}

func init() { file_internal_module_managed_resources_rpc_rpc_proto_init() }
func file_internal_module_managed_resources_rpc_rpc_proto_init() {
	if File_internal_module_managed_resources_rpc_rpc_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_managed_resources_rpc_rpc_proto_rawDesc), len(file_internal_module_managed_resources_rpc_rpc_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   15,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_module_managed_resources_rpc_rpc_proto_goTypes,
		DependencyIndexes: file_internal_module_managed_resources_rpc_rpc_proto_depIdxs,
		MessageInfos:      file_internal_module_managed_resources_rpc_rpc_proto_msgTypes,
	}.Build()
	File_internal_module_managed_resources_rpc_rpc_proto = out.File
	file_internal_module_managed_resources_rpc_rpc_proto_goTypes = nil
	file_internal_module_managed_resources_rpc_rpc_proto_depIdxs = nil
}
